
/* Created by Dave, this file is actually quite similar to player.cc and so is 
    skybox.h similar to player.h
    With that said, things should be clear:)



*/

#include "importer/material.h"
#include "skysphere.h"
#include "stdincl.h"
#include "vector.h"
#include "world_entity.h"


using namespace std;

Skysphere::Skysphere()
{  
    //GLUquadricObj *sphereObj=0;
    sphereObj=gluNewQuadric();
    gluQuadricTexture(sphereObj,GL_TRUE);
    sky = new Material("Sky");
    sky->setDiffuseMap("../data/pictures/sky-replace.jpg");
    sky->setIllum(3);

}

Skysphere::~Skysphere()
{
    delete sky;
    delete sphereObj;

}

void Skysphere::updatePosition(float x,float y,float z)
{
    this->a=x;
    this->b=y;
    this->c=z;
}


void Skysphere::draw()
{
    sky->select();
    glPushMatrix();
    glTranslatef(this->a,this->b,this->c);
    
    glRotatef(-30,1,0,0);
    glRotatef(95.0f,0.0f,0.0f,1.0f);
    glRotatef(-250.0f,0.0,1.0f,0.0f);
    
    gluSphere(sphereObj,200.0f,20,20);
    glPopMatrix();


}


